﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        Nastavenia _nast;
        Button _but = null;
        Label _lab = null;
        object _sender;

        public Form1()
        {
            InitializeComponent();
            label1.AutoSize = false;

            _nast = new Nastavenia();

            this.button1.Click += new System.EventHandler(Bumm);
            this.label1.Click   += new System.EventHandler(Bumm);
        }

        private void Bumm(object sender, EventArgs e)
        {
            _sender = sender;
            if( sender.GetType()==typeof(Button) )
            {
                _but = (Button)sender;
                _lab = null;

                _nast.Farba = _but.BackColor;
                _nast.Sirka = _but.Width;
            }
            if (sender.GetType() == typeof(Label))
            {
                _but = null;
                _lab = (Label)sender;
                _nast.Farba = _lab.BackColor;
                _nast.Sirka = _lab.Width;
            }
            runSpatneVolanie(_nast);
        }
        void runSpatneVolanie(Nastavenia nast)
        {
            SpatneVolanie f1 = new SpatneVolanie();
            f1.Nastavenia = nast;
            f1.Apply += new EventHandler(onApply);

            if (f1.ShowDialog() == DialogResult.OK)
            {
                _nast = f1.Nastavenia;
                nastav();
            }
        }
        void nastav()
        {
            if (_sender.GetType() == typeof(Button))
            {
                _but.BackColor = _nast.Farba;
                _but.Width = _nast.Sirka;
            }
            if (_sender.GetType() == typeof(Label))
            {
                _lab.BackColor = _nast.Farba;
                _lab.Width = _nast.Sirka;
            }
        }
        void onApply(object sender, System.EventArgs e)
        {
            SpatneVolanie f2 = (SpatneVolanie)sender;
            _nast = f2.Nastavenia;
            nastav();
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }
    }
}
