﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace WindowsFormsApplication1
{
    public struct Nastavenia 
    {
        Color _farba;
        int _sirka;

        static public Nastavenia Default { get { return ini(); } }
        static Nastavenia ini()
        { // struct can not have parameterless constructor => static ini
            Nastavenia pO = new Nastavenia();
            pO.Farba = Color.Blue;
            pO.Sirka = 1;
            return pO;
        }
        public Nastavenia(Color farba, int sirka)
        { 
            _farba = farba;
            _sirka = sirka;
        }
        
        public Color Farba { set { _farba = value; } get { return _farba; } }
        public int Sirka { set { _sirka = value; }        get { return _sirka; } }
        
        public override string ToString() 
        {
            string s;
            s = "Farba: " + this._farba.ToString() + "\n\r" +
                "Sirka: " + this._sirka.ToString();
            return s;
        }
    }
}
