﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class SpatneVolanie : Form
    {
        public event EventHandler Apply;

        Nastavenia _nast;

        public SpatneVolanie()
        {
            InitializeComponent();

            _nast = Nastavenia.Default;
            iniData();
            iniButns();
        }
        public SpatneVolanie(Nastavenia nast)
        {
            InitializeComponent();
            _nast = nast;
            iniData();
            iniButns();
        }
        void iniData()
        {
            Text = "Nastavenia";
            button1.Text = "Pouzi";
            button2.Text = "OK";

            textBox1.Text = "100";

            comboBox1.Items.Add(Color.Blue);
            comboBox1.Items.Add(Color.Red);
            comboBox1.Items.Add(Color.Magenta);
            comboBox1.SelectedIndex = 0;
        }
        void iniButns()
        {
            button2.DialogResult = System.Windows.Forms.DialogResult.OK;
            //this.butCancel.DialogResult = DialogResult.Cancel;
            
            this.AcceptButton = button2;
            //this.CancelButton = butCancel;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            nastavenieHodnot();
            if (Apply != null)
                Apply(this, new EventArgs());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            nastavenieHodnot();
        }
        void nastavenieHodnot()
        {
            _nast.Farba = (Color)comboBox1.SelectedItem;
            _nast.Sirka = Convert.ToInt32(textBox1.Text);
            ////this.Close();  // netreba vdaka button2.DialogResult
        }

        public Nastavenia Nastavenia { set { _nast = value; } get { return _nast; } }

        private void comboBox1_SelectedValueChanged(object sender, EventArgs e)
        {
             button1_Click(null, null);
        }

    }
}
